iTunes

Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app SAC Tool by ITI International Team for Implantology, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

SAC Tool

By ITI International Team for Implantology

Open iTunes to buy and download apps.

Description

Interactive assessment tool to evaluate the risk and complexity of individual dental implant cases.

The SAC Assessment Tool reflects the normative guidelines developed by the ITI at a Consensus Conference in 2007 for various types of restorative and surgical cases based on a classification system referred to as SAC (Straightforward, Advanced, Complex). The results of the conference proceedings were then published in 2009 in cooperation with the Quintessence Publishing Group in a book entitled "The SAC Classification in Implant Dentistry". The SAC Assessment Tool distills the content of this book in an easy-to-use process that takes the user through each step necessary to identify the degree of complexity and potential risk involved in individual cases. Dental practitioners can thus better match cases to their skills and level of experience at the same time as developing their knowledge at a theoretical level.

By making this tool publicly available, the ITI underlines its commitment to quality assurance in implant therapy with the objective of ensuring best-possible treatment for patients.

What's New in Version 2.0.2

Improved assessments

iPad Screenshots

iPad Screenshot 1
iPad Screenshot 2
SAC Tool
View In iTunes
  • Free
  • Category: Education
  • Updated:
  • Version: 2.0.2
  • Size: 0.1 MB
  • Language: English
  • Developer:

Compatibility: Requires iOS 4.3 or later. Compatible with iPad.

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.